YUI AS Component Documentation |
Class PieChart

Package | com.yahoo.astra.fl.charts
Class | public class PieChart
Inheritance | PieChart Chart fl.core.UIComponent
Implements | ICategoryChart

A chart that displays its data points with pie-like wedges.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | categoryField : String The field used to access categories for this series. | PieChart
|  | categoryNames : Array The names of the categories used by each series. | PieChart
|  | dataField : String The field used to access data for this series. | PieChart
|  | dataProvider : Object The data to be displayed by the chart. | Chart
|  | dataTipFunction : Function If defined, the chart will call the input function to determine the text displayed in the chart's data tip. | Chart
|  | defaultSeriesType : Object When raw data (like an Array of Numbers) is encountered where an ISeries instance is expected, it will be converted to this default type. | Chart
|  | legend : ILegend The component that will display a human-readable legend for the chart. | Chart
|  | legendLabelFunction : Function If defined, the chart will call the input function to determine the text displayed in in the chart's legend. | Chart

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | PieChart() Constructor. | PieChart
|  | indexToSeries(index:int):ISeries Returns the ISeries object at the specified index. | Chart
|  | seriesToCategoryField(series:PieSeries):String Determines the category field used by the series. | PieChart
|  | seriesToDataField(series:PieSeries):String Determines the data field used by the series. | PieChart
|  | seriesToIndex(series:ISeries):int Returns the index within this plot area of the input ISeries object. | Chart

Protected Methods
Hide Inherited Protected Methods
Show Inherited Protected Methods

| Method | Defined by
--- | --- | ---
|  | defaultDataTipFunction(item:Object, index:int, series:ISeries):String | PieChart
|  | refreshSeries():void Analyzes the input data and smartly converts it to the correct ISeries type required for drawing. | Chart

Styles
Hide Inherited Styles
Show Inherited Styles

| Style | Description | Defined by
--- | --- | --- | ---
|  | animationEnabled | Type: Boolean Determines if data changes should be displayed with animation. | Chart
|  | backgroundSkin | Type: Class Name of the class to use as the skin for the background and border of the component. | Chart
|  | contentPadding | Type: Number The padding that separates the border of the component from its contents, in pixels. | Chart
|  | dataTipBackgroundSkin | Type: Class Name of the class to use as the skin for the background and border of the chart's data tip. | Chart
|  | dataTipContentPadding | Type: Number If the datatip's content padding is customizable, it will use this value. | Chart
|  | dataTipTextFormat | Type: TextFormat The TextFormat object to use to render data tips. | Chart
|  | embedFonts | Type: Boolean Indicates whether embedded font outlines are used to render the text field. | Chart

seriesColors

Type: Array
An Array containing the default colors for each series. These colors are used for markers in most cases, but they may apply to lines, fills, or other graphical items.

Important: In the PieChart, a series uses multiple colors. The `seriesColors` style is designed to work with multiple series where the index in the Array corresponds to the series index. As a result, to set the colors on a PieChart, an Array of color values should appear at each index in the outer Array.

The default value is `[ [ 0xfcaf3e, 0x73d216, 0x729fcf, 0xfce94f, 0xad7fa8, 0x3465a4 ], [ 0x3465a4, 0xad7fa8, 0xfce94f, 0x729fcf, 0x73d216, 0xfcaf3e ] ]`.

PieChart

|  | seriesMarkerSizes | Type: Array The default size of the markers in pixels. | Chart
|  | seriesMarkerSkins | Type: Array An Array containing the default skin classes for each series. | Chart

Property detail

categoryField | property

`categoryField:String` [read-write]

The field used to access categories for this series.

Implementation
`public function get categoryField():String`
`public function set categoryField(value:String):void`

categoryNames | property |

`categoryNames:Array` [read-write]

The names of the categories used by each series.

Implementation
`public function get categoryNames():Array`
`public function set categoryNames(value:Array):void`

dataField | property |

`dataField:String` [read-write]

The field used to access data for this series.

Implementation
`public function get dataField():String`
`public function set dataField(value:String):void`
Constructor detail

PieChart | () | constructor

`public function PieChart()`

Constructor.

Method detail

defaultDataTipFunction | () | method

`protected override function defaultDataTipFunction(item:Object, index:int, series:ISeries):String`

Parameters

| `item:Object`
| `index:int`
| `series:ISeries`

Returns

| `String`

seriesToCategoryField | () | method |

`public function seriesToCategoryField(series:PieSeries):String`

Determines the category field used by the series. Either the chart's default category field or a category field explicitly defined for the series.

Parameters

| `series:PieSeries`

Returns

| `String`

seriesToDataField | () | method |

`public function seriesToDataField(series:PieSeries):String`

Determines the data field used by the series. Either the chart's default data field or a data field explicitly defined for the series.

Parameters

| `series:PieSeries`

Returns

| `String`